<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Ole10Native (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Ole10Native (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Ole10Native.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/OfficeXmlFileException.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/Ole10NativeException.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/Ole10Native.html"
               target="_top">Frames</a></li>
        <li><a href="Ole10Native.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.filesystem</div>
    <h2 title="Class Ole10Native" class="title">Class Ole10Native</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.poifs.filesystem.Ole10Native</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">Ole10Native</span>
extends java.lang.Object</pre>
                <div class="block">Represents an Ole10Native record which is wrapped around certain binary
                    files being embedded in OLE2 documents.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#ISO1">ISO1</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#OLE10_NATIVE">OLE10_NATIVE</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#Ole10Native-byte:A-int-">Ole10Native</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>
                                    <div class="block">Creates an instance and fills the fields based on the data in the
                                        given buffer.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#Ole10Native-java.lang.String-java.lang.String-java.lang.String-byte:A-">Ole10Native</a></span>(java.lang.String&nbsp;label,
                                    java.lang.String&nbsp;filename,
                                    java.lang.String&nbsp;command,
                                    byte[]&nbsp;data)</code>
                                    <div class="block">Creates an instance and fills the fields based on ...</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html"
                                        title="class in org.apache.poi.poifs.filesystem">Ole10Native</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#createFromEmbeddedOleObject-org.apache.poi.poifs.filesystem.DirectoryNode-">createFromEmbeddedOleObject</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;directory)</code>
                                    <div class="block">Creates an instance of this class from an embedded OLE Object.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html"
                                        title="class in org.apache.poi.poifs.filesystem">Ole10Native</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#createFromEmbeddedOleObject-org.apache.poi.poifs.filesystem.POIFSFileSystem-">createFromEmbeddedOleObject</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;poifs)</code>
                                    <div class="block">Creates an instance of this class from an embedded OLE Object.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#createOleMarkerEntry-org.apache.poi.poifs.filesystem.DirectoryEntry-">createOleMarkerEntry</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;parent)</code>
                                    <div class="block">Add the \1OLE marker entry, which is not the Ole10Native entry.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#createOleMarkerEntry-org.apache.poi.poifs.filesystem.POIFSFileSystem-">createOleMarkerEntry</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;poifs)</code>
                                    <div class="block">Add the \1OLE marker entry, which is not the Ole10Native entry.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#getCommand--">getCommand</a></span>()</code>
                                    <div class="block">Returns the command field - usually the name of the file being
                                        embedded
                                        including the full path, may be a command specified during embedding the
                                        file.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#getDataBuffer--">getDataBuffer</a></span>()</code>
                                    <div class="block">Returns the buffer containing the embedded file's data, or
                                        <code>null</code> if no data was embedded.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#getDataSize--">getDataSize</a></span>()</code>
                                    <div class="block">Returns the size of the embedded file.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#getFileName--">getFileName</a></span>()</code>
                                    <div class="block">Returns the fileName field - usually the name of the file being
                                        embedded
                                        including the full path.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#getFlags1--">getFlags1</a></span>()</code>
                                    <div class="block">Returns flags1 - currently unknown - usually 0x0002.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#getFlags2--">getFlags2</a></span>()</code>
                                    <div class="block">Returns flags2 - currently unknown - mostly 0x0000.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#getFlags3--">getFlags3</a></span>()</code>
                                    <div class="block">Returns the flags3 - currently unknown.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#getLabel--">getLabel</a></span>()</code>
                                    <div class="block">Returns the label field - usually the name of the file (without
                                        directory) but probably may be any name specified during
                                        packaging/embedding the data.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#getTotalSize--">getTotalSize</a></span>()</code>
                                    <div class="block">Returns the value of the totalSize field - the total length of
                                        the
                                        structure is totalSize + 4 (value of this field + size of this field).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#getUnknown1--">getUnknown1</a></span>()</code>
                                    <div class="block">Returns unknown1 field - currently unknown.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#setCommand-java.lang.String-">setCommand</a></span>(java.lang.String&nbsp;command)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#setDataBuffer-byte:A-">setDataBuffer</a></span>(byte[]&nbsp;dataBuffer)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#setFileName-java.lang.String-">setFileName</a></span>(java.lang.String&nbsp;fileName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#setFlags1-short-">setFlags1</a></span>(short&nbsp;flags1)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#setFlags2-short-">setFlags2</a></span>(short&nbsp;flags2)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#setFlags3-short-">setFlags3</a></span>(short&nbsp;flags3)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#setLabel-java.lang.String-">setLabel</a></span>(java.lang.String&nbsp;label)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#setUnknown1-short-">setUnknown1</a></span>(short&nbsp;unknown1)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#writeOut-java.io.OutputStream-">writeOut</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Have the contents printer out into an OutputStream, used when
                                        writing a
                                        file back out to disk (Normally, atom classes will keep their bytes
                                        around, but non atom classes will just request the bytes from their
                                        children, then chuck on their header and return)
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="OLE10_NATIVE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OLE10_NATIVE</h4>
                                <pre>public static final&nbsp;java.lang.String OLE10_NATIVE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.filesystem.Ole10Native.OLE10_NATIVE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ISO1">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ISO1</h4>
                                <pre>protected static final&nbsp;java.lang.String ISO1</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.poifs.filesystem.Ole10Native.ISO1">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Ole10Native-java.lang.String-java.lang.String-java.lang.String-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>Ole10Native</h4>
                                <pre>public&nbsp;Ole10Native(java.lang.String&nbsp;label,
                   java.lang.String&nbsp;filename,
                   java.lang.String&nbsp;command,
                   byte[]&nbsp;data)</pre>
                                <div class="block">Creates an instance and fills the fields based on ... the fields
                                </div>
                            </li>
                        </ul>
                        <a name="Ole10Native-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Ole10Native</h4>
                                <pre>public&nbsp;Ole10Native(byte[]&nbsp;data,
                   int&nbsp;offset)
            throws <a href="../../../../../org/apache/poi/poifs/filesystem/Ole10NativeException.html"
                      title="class in org.apache.poi.poifs.filesystem">Ole10NativeException</a></pre>
                                <div class="block">Creates an instance and fills the fields based on the data in the
                                    given buffer.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - The buffer containing the Ole10Native record</dd>
                                    <dd><code>offset</code> - The start offset of the record in the buffer</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Ole10NativeException.html"
                                            title="class in org.apache.poi.poifs.filesystem">Ole10NativeException</a></code>
                                        - on invalid or unexcepted data format
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createFromEmbeddedOleObject-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFromEmbeddedOleObject</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html"
                                        title="class in org.apache.poi.poifs.filesystem">Ole10Native</a>&nbsp;createFromEmbeddedOleObject(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;poifs)
                                               throws java.io.IOException,
                                                      <a href="../../../../../org/apache/poi/poifs/filesystem/Ole10NativeException.html"
                                                         title="class in org.apache.poi.poifs.filesystem">Ole10NativeException</a></pre>
                                <div class="block">Creates an instance of this class from an embedded OLE Object. The
                                    OLE Object is expected
                                    to include a stream &quot;{01}Ole10Native&quot; which contains the actual
                                    data relevant for this class.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>poifs</code> - POI Filesystem object</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Returns an instance of this class</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - on IO error</dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Ole10NativeException.html"
                                            title="class in org.apache.poi.poifs.filesystem">Ole10NativeException</a></code>
                                        - on invalid or unexcepted data format
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createFromEmbeddedOleObject-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFromEmbeddedOleObject</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html"
                                        title="class in org.apache.poi.poifs.filesystem">Ole10Native</a>&nbsp;createFromEmbeddedOleObject(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;directory)
                                               throws java.io.IOException,
                                                      <a href="../../../../../org/apache/poi/poifs/filesystem/Ole10NativeException.html"
                                                         title="class in org.apache.poi.poifs.filesystem">Ole10NativeException</a></pre>
                                <div class="block">Creates an instance of this class from an embedded OLE Object. The
                                    OLE Object is expected
                                    to include a stream &quot;{01}Ole10Native&quot; which contains the actual
                                    data relevant for this class.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>directory</code> - POI Filesystem object</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Returns an instance of this class</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - on IO error</dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Ole10NativeException.html"
                                            title="class in org.apache.poi.poifs.filesystem">Ole10NativeException</a></code>
                                        - on invalid or unexcepted data format
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createOleMarkerEntry-org.apache.poi.poifs.filesystem.DirectoryEntry-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createOleMarkerEntry</h4>
                                <pre>public static&nbsp;void&nbsp;createOleMarkerEntry(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;parent)
                                 throws java.io.IOException</pre>
                                <div class="block">Add the \1OLE marker entry, which is not the Ole10Native entry.
                                    Beside this "Ole" record there were several other records, e.g. CompObj,
                                    OlePresXXX, but it seems, that they aren't necessary
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createOleMarkerEntry-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createOleMarkerEntry</h4>
                                <pre>public static&nbsp;void&nbsp;createOleMarkerEntry(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;poifs)
                                 throws java.io.IOException</pre>
                                <div class="block">Add the \1OLE marker entry, which is not the Ole10Native entry.
                                    Beside this "Ole" record there were several other records, e.g. CompObj,
                                    OlePresXXX, but it seems, that they aren't necessary
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTotalSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTotalSize</h4>
                                <pre>public&nbsp;int&nbsp;getTotalSize()</pre>
                                <div class="block">Returns the value of the totalSize field - the total length of the
                                    structure is totalSize + 4 (value of this field + size of this field).
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the totalSize</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFlags1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFlags1</h4>
                                <pre>public&nbsp;short&nbsp;getFlags1()</pre>
                                <div class="block">Returns flags1 - currently unknown - usually 0x0002.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the flags1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLabel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLabel</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getLabel()</pre>
                                <div class="block">Returns the label field - usually the name of the file (without
                                    directory) but probably may be any name specified during
                                    packaging/embedding the data.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the label</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFileName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFileName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFileName()</pre>
                                <div class="block">Returns the fileName field - usually the name of the file being
                                    embedded
                                    including the full path.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fileName</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFlags2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFlags2</h4>
                                <pre>public&nbsp;short&nbsp;getFlags2()</pre>
                                <div class="block">Returns flags2 - currently unknown - mostly 0x0000.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the flags2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUnknown1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUnknown1</h4>
                                <pre>public&nbsp;short&nbsp;getUnknown1()</pre>
                                <div class="block">Returns unknown1 field - currently unknown.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the unknown1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCommand--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCommand</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getCommand()</pre>
                                <div class="block">Returns the command field - usually the name of the file being
                                    embedded
                                    including the full path, may be a command specified during embedding the
                                    file.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the command</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDataSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataSize</h4>
                                <pre>public&nbsp;int&nbsp;getDataSize()</pre>
                                <div class="block">Returns the size of the embedded file. If the size is 0 (zero), no
                                    data
                                    has been embedded. To be sure, that no data has been embedded, check
                                    whether <a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Ole10Native.html#getDataBuffer--"><code>getDataBuffer()</code></a>
                                    returns <code>null</code>.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the dataSize</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDataBuffer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataBuffer</h4>
                                <pre>public&nbsp;byte[]&nbsp;getDataBuffer()</pre>
                                <div class="block">Returns the buffer containing the embedded file's data, or
                                    <code>null</code> if no data was embedded. Note that an embedding may
                                    provide information about the data, but the actual data is not included.
                                    (So label, filename etc. are available, but this method returns
                                    <code>null</code>.)
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the dataBuffer</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFlags3--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFlags3</h4>
                                <pre>public&nbsp;short&nbsp;getFlags3()</pre>
                                <div class="block">Returns the flags3 - currently unknown.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the flags3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeOut-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeOut</h4>
                                <pre>public&nbsp;void&nbsp;writeOut(java.io.OutputStream&nbsp;out)
              throws java.io.IOException</pre>
                                <div class="block">Have the contents printer out into an OutputStream, used when writing
                                    a
                                    file back out to disk (Normally, atom classes will keep their bytes
                                    around, but non atom classes will just request the bytes from their
                                    children, then chuck on their header and return)
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFlags1-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFlags1</h4>
                                <pre>public&nbsp;void&nbsp;setFlags1(short&nbsp;flags1)</pre>
                            </li>
                        </ul>
                        <a name="setFlags2-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFlags2</h4>
                                <pre>public&nbsp;void&nbsp;setFlags2(short&nbsp;flags2)</pre>
                            </li>
                        </ul>
                        <a name="setFlags3-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFlags3</h4>
                                <pre>public&nbsp;void&nbsp;setFlags3(short&nbsp;flags3)</pre>
                            </li>
                        </ul>
                        <a name="setLabel-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLabel</h4>
                                <pre>public&nbsp;void&nbsp;setLabel(java.lang.String&nbsp;label)</pre>
                            </li>
                        </ul>
                        <a name="setFileName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFileName</h4>
                                <pre>public&nbsp;void&nbsp;setFileName(java.lang.String&nbsp;fileName)</pre>
                            </li>
                        </ul>
                        <a name="setCommand-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCommand</h4>
                                <pre>public&nbsp;void&nbsp;setCommand(java.lang.String&nbsp;command)</pre>
                            </li>
                        </ul>
                        <a name="setUnknown1-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUnknown1</h4>
                                <pre>public&nbsp;void&nbsp;setUnknown1(short&nbsp;unknown1)</pre>
                            </li>
                        </ul>
                        <a name="setDataBuffer-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setDataBuffer</h4>
                                <pre>public&nbsp;void&nbsp;setDataBuffer(byte[]&nbsp;dataBuffer)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Ole10Native.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/OfficeXmlFileException.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/Ole10NativeException.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/Ole10Native.html"
               target="_top">Frames</a></li>
        <li><a href="Ole10Native.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
